<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.6.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <property name="autoIncrement" value="true"/>

    <!-- Drop table -->
    <changeSet id="drop-202103031042" author="caffeApp" runAlways="true">
        <validCheckSum>ANY</validCheckSum>
        <preConditions onFail="CONTINUE">
            <tableExists tableName="cart_item"/>
        </preConditions>
        <dropTable tableName="cart_item" cascadeConstraints="true"/>
    </changeSet>

    <!-- Added the entity CartItem -->
    <changeSet id="init-202103031042-1" author="caffeApp" runAlways="true">
        <validCheckSum>ANY</validCheckSum>
        <createTable tableName="cart_item">
            <column name="id" type="bigint" autoIncrement="${autoIncrement}">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="uuid" type="varchar(255)">
                <constraints nullable="false"/>
            </column>
            <column name="type" type="varchar(255)">
                <constraints nullable="false"/>
            </column>
            <column name="notes" type="varchar(255)">
                <constraints nullable="false"/>
            </column>
            <column name="price" type="decimal(21,2)">
                <constraints nullable="false"/>
            </column>
            <column name="quantity" type="integer">
                <constraints nullable="false"/>
            </column>
            <column name="cart_id" type="bigint">
            </column>
        </createTable>
    </changeSet>
</databaseChangeLog>
